/***************************************************************************
 *   Copyright (C) 2006-2012 by Thomas Schweitzer                          *
 *   thomas-schweitzer(at)arcor.de                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License version 2.0 as   *
 *   published by the Free Software Foundation.                            *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program in the file LICENSE.GPL; if not, write to the *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SETTINGSPATHS_H
#define SETTINGSPATHS_H

class TQString;

class SettingsPaths
{
	public:
		static void           init();
		static void           cleanAndRemoveTempDir();
		static bool           getPortableMode();
		static const TQString getApplicationBinaryPath();
		static const TQString getGlobalFilesPath();
		static const TQString getIndenterPath();
		static const TQString getSettingsPath();
		static const TQString getTempPath();

	private:
		SettingsPaths();

		static bool     m_alreadyInitialized;
		static bool     m_portableMode;
		static TQString m_applicationBinaryPath;
		static TQString m_globalFilesPath;
		static TQString m_indenterPath;
		static TQString m_settingsPath;
		static TQString m_tempPath;
};

#endif
